# Class: Concurrent::Actor::Context Abstract

Inherits:
  AbstractContext
  - Object
  - AbstractContext
  - Concurrent::Actor::Context
  show all

Defined in:
  lib-edge/concurrent/actor/context.rb

## Overview

This class is abstract.

implement AbstractContext#on_message

Basic Context of an Actor. It supports only linking and it simply terminates on error. Uses Behaviour.basic_behaviour_definition:

## Direct Known Subclasses

Utils::AdHoc

## Instance Method Summary collapse

- #behaviour_definition ⇒ undocumented

## Instance Method Details

### #behaviour_definition ⇒ `undocumented`

    151
    152
    153

    # File 'lib-edge/concurrent/actor/context.rb', line 151

    def behaviour_definition
      Behaviour.basic_behaviour_definition
    end